Subject: Re: [PATCH] net: pktgen: don't abuse current->state in pktgen_thread_worker()

From: Marcelo Ricardo Leitner <[email-masked]>
Date: Tue, 4 Aug 2015 13:40:56 -0300

On Tue, Aug 04, 2015 at 06:33:34PM +0200, Oleg Nesterov wrote:
> Commit 1fbe4b46caca "net: pktgen: kill the Wait for kthread_stop
> code in pktgen_thread_worker()" removed (in particular) the final
> __set_current_state(TASK_RUNNING) and I didn't notice the previous
> set_current_state(TASK_INTERRUPTIBLE). This triggers the warning
> in __might_sleep() after return.
> 
> Afaics, we can simply remove both set_current_state()'s, and we
> could do this a long ago right after ef87979c273a2 "pktgen: better
> scheduler friendliness" which changed pktgen_thread_worker() to
> use wait_event_interruptible_timeout().
> 
> Reported-by: Huang Ying <[email-masked]>
> Signed-off-by: Oleg Nesterov <[email-masked]>

Interesting that it didn't happen in my tests yet per description it
should have. Huang, did you do anything special to trigger this?